import request from '../utils/request.js'

class order extends request {

    static async getOrderList(page = 1, pageSize = 10, orderStatus, writeOffStatus) {
        const res = await this.getRequest(`${this.BASE_URL}Order/index?page=${page}&pageSize=${pageSize}&orderAtatus=${orderStatus}&writeOffStatus=${writeOffStatus}`)

        return res.data
    }
    static async getAllOrderList(page = 1, pageSize = 10) {
        const res = await this.getRequest(`${this.BASE_URL}Order/index?page=${page}&pageSize=${pageSize}`)

        return res.data
    }
    static async getOrderById(id) {
        const res = await this.getRequest(`${this.BASE_URL}Order/read?id=${id}`)
        return res.data
    }

    
    static async createOrder(data) {
        const res = await this.postRequest(`${this.BASE_URL}Order/createOrder`,data)
        return res.data
    }
    static async deleteOrder(id) {
        const res = await this.postRequest(`${this.BASE_URL}Order/deleteOrder?orderId=${id}`)
        return res.data
    }

}

export default order